package/kernel: adjust kmod-crc16 dependencies, it does not exist on 2.4
authorNicolas Thill <nico@openwrt.org>
Thu, 29 Apr 2010 10:23:36 +0000 (10:23 +0000)
committerNicolas Thill <nico@openwrt.org>
Thu, 29 Apr 2010 10:23:36 +0000 (10:23 +0000)
SVN-Revision: 21250

package/kernel/modules/001-depends.mk

index 61d8921..5bba087 100644 (file)
@@ -8,11 +8,11 @@
 # XXX: xburst has CONFIG_CRC16=y because of CONFIG_UBIFS_FS=y
 
 define SetDepends/crc16
-  DEPENDS:= @!TARGET_xburst
+  DEPENDS:= @!(LINUX_2_4||TARGET_xburst)
 endef
 
 define AddDepends/crc16
-  DEPENDS+= +!TARGET_xburst:kmod-crc16 $(1)
+  DEPENDS+= +!(LINUX_2_4||TARGET_xburst):kmod-crc16 $(1)
 endef